Fetch a port
curl --request GET \
--url https://api.cf.ovrsea.com/v1/ports/{id}import requests
url = "https://api.cf.ovrsea.com/v1/ports/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cf.ovrsea.com/v1/ports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cf.ovrsea.com/v1/ports/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cf.ovrsea.com/v1/ports/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cf.ovrsea.com/v1/ports/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cf.ovrsea.com/v1/ports/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "Le Havre",
"freight_mode": "air",
"unlocode": "FR/LEH",
"city": "Le Havre",
"country": "FR"
}{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"retry_after_seconds": 123
}{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"retry_after_seconds": 123
}Ports
Fetch a port
Preview: Fetches one port by its id.
Fetch a port
curl --request GET \
--url https://api.cf.ovrsea.com/v1/ports/{id}import requests
url = "https://api.cf.ovrsea.com/v1/ports/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.cf.ovrsea.com/v1/ports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cf.ovrsea.com/v1/ports/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cf.ovrsea.com/v1/ports/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cf.ovrsea.com/v1/ports/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cf.ovrsea.com/v1/ports/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "Le Havre",
"freight_mode": "air",
"unlocode": "FR/LEH",
"city": "Le Havre",
"country": "FR"
}{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"retry_after_seconds": 123
}{
"code": "<string>",
"message": "<string>",
"field": "<string>",
"retry_after_seconds": 123
}Path Parameters
Response
Preview: The port.
Preview: Port returned by the ports collection.
